@ECHO off
CLS
SET res=
SET demo=
SET cam=
ECHO.
ECHO                    [TweakGuides Battlefield 2 Demo Player]
ECHO.
ECHO To play back a BF2 Demo:
ECHO 1. Enter the name of the demo file (e.g. enter Test for the file Test.bf2demo)
ECHO 2. Enter the name of the camera defintion file you wish to use (or leave blank)
ECHO 3. Select the number for the resolution you want to use
ECHO.
ECHO BF2 will begin loading your demo at this point. If this program aborts without 
ECHO playing the demo, you have entered an option incorrectly. For full usage 
ECHO details see the Battlefield 2 Tweak Guide at www.TweakGuides.com.
ECHO.
SET /P demo=Name of Demo to play back - 
SET /P cam=Camera definition file to use - 
ECHO.
ECHO Choose from the following resolutions:
ECHO 1 - 1600 x 1200
ECHO 2 - 1280 x 1024
ECHO 3 - 1280 x 960
ECHO 4 - 1024 x 768
ECHO 5 - 800 x 600
ECHO.
SET /P res=Enter the resolution number - 
ECHO.
IF NOT %res%=='' SET choice=%choice:~0,1%
IF %res%==1 GOTO One
IF %res%==2 GOTO Two
IF %res%==3 GOTO Three
IF %res%==4 GOTO Four
IF %res%==5 GOTO Five
:ONE
demo +width 1600 +height 1200 %demo% %cam%
GOTO END
:TWO
demo +width 1280 +height 1024 %demo% %cam%
GOTO END
:THREE
demo +width 1280 +height 960 %demo% %cam%
GOTO END
:FOUR
demo +width 1024 +height 768 %demo% %cam%
GOTO END
:FIVE
demo +width 800 +height 600 %demo% %cam%
GOTO END
:END